{"id":"CVE-2026-87869","published":"2026-10-10T05:16:40.277","lastModified":"2026-10-13T13:30:21.620","description":"The Filter Everything — WordPress & WooCommerce Filters plugin for WordPress is vulnerable to Reflected Cross-Site Scripting in versions up to, and including, 1.9.6. This is due to insufficient input sanitization and output escaping in the flrt_elementor_load_more_anchor() function. The function reads query parameters from $_SERVER['REQUEST_URI'] via getFormActionOrFullPageUrl(true), which URL-decodes them through parse_str() and re-assembles them using build_query() — a WordPress core function that does NOT re-encode values ($urlencode=false). The resulting URL, containing unescaped special characters, is injected into a data-next-page HTML attribute via preg_replace() without esc_attr() or esc_url(). This makes it possible for unauthenticated attackers to inject arbitrary web scripts in pages that execute if they can successfully trick a user into performing an action such as clicking on a specially crafted link.","cvssScore":6.1,"cvssSeverity":"MEDIUM","cvssVector":"CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N","cwes":["CWE-79"],"vendors":[],"products":[],"references":[{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.2.1/src/UrlManager.php#L197","tags":[]},{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.2.1/src/wpc-helpers.php#L207","tags":[]},{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.2.1/src/wpc-third-party.php#L793","tags":[]},{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.6/src/UrlManager.php#L197","tags":[]},{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.6/src/wpc-helpers.php#L207","tags":[]},{"url":"https://plugins.trac.wordpress.org/browser/filter-everything/tags/1.9.6/src/wpc-third-party.php#L793","tags":[]},{"url":"https://plugins.trac.wordpress.org/changeset?reponame=&old=3707235%40filter-everything&new=3707235%40filter-everything","tags":[]},{"url":"https://www.wordfence.com/threat-intel/vulnerabilities/id/7f0f453c-ca01-4ccc-b8c0-4468db40386a?source=cve","tags":[]}],"exploitRefs":[],"hasPoc":false,"ai":null}